/**
 * This package contains the <em>Spring TestContext Framework</em> which
 * provides annotation-driven unit and integration testing support that is
 * agnostic of the actual testing framework in use. The same techniques and
 * annotation-based configuration used in, for example, a JUnit environment
 * can also be applied to tests written with TestNG, etc.
 *
 * <p>In addition to providing generic and extensible testing infrastructure,
 * the Spring TestContext Framework provides out-of-the-box support for
 * Spring-specific integration testing functionality such as context management
 * and caching, dependency injection of test fixtures, and transactional test
 * management with default rollback semantics.
 */
@NullMarked
package org.springframework.test.context;

import org.jspecify.annotations.NullMarked;
